Bug 820393 - extra input screen depending on if "enter" was pressed or a UI button clicked
extra input screen depending on if "enter" was pressed or a UI button clicked
Status: ON_QA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 15:52 EDT by james labocki
Modified: 2013-01-29 10:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-05-09 15:52:21 EDT
Description of problem:
        when launching an AppForm at the following screen:
           https://ceng9/conductor/deployments/launch_time_params?deployable_id=1&deployment[name]=student9-blueprint&deployment[pool_id]=2

        If you click the icon "launch" you are taken to this screen:

           https://ceng9/conductor/deployments/launch_time_params

        However, if you hit "enter", instead you are taken to this:

           https://ceng9/conductor/deployments

        Which asks for additional input. After clicking "next" or hitting "enter" you are then taken to:

           https://ceng9/conductor/deployments/launch_time_params
Comment 1 Dave Johnson 2012-05-10 17:24:53 EDT
James, I am not seeing this... if I hit enter using Firefox 12.0, nothing happens on this screen.  Different browser?
Comment 2 james labocki 2012-05-10 17:38:51 EDT
We this using the Firefox included in RHEL 6.2. I believe it was 3.6.24, but I could be wrong. Can you test using Firefox in RHEL 6.2 or the lowest supported version of Firefox supported for CF 1.0?
Comment 3 Dave Johnson 2012-05-18 09:16:44 EDT
James I am not seeing this using RHEL 6.2's firefox v3.6.24.  Could you retest and provide more information please.
Comment 4 Vinny Valdez 2012-05-25 10:24:38 EDT
I'm u sing Firefox 12.0 on Mac, and this behavior occurs. I also tested with Google Chrome 19.0.1084.46 and Safari 5.1.7 on Mac; Firefox 12.0 on Linux and Internet Explorer 9 on Windows. This still occurs with all of the browsers. However, I discovered while using Internet Explorer that pressing "enter" is actually highlighting and activating the "back" button.

I believe this is why it was odd to me. Here is the original procedure I used when reporting this behavior to James:

Administer -> Content -> Choose Catalog -> Choose Blueprint -> Launch

At this point, giving a name and pressing "enter" on any of the browsers mentioned above will actually go "back" to the "Application Details" screen (which by following this workflow has not been seen yet, which is why it is odd).

However, if you launch an application via this method, it makes a bit more sense:
Monitor -> New Application -> Fill in Application details -> Next

At this point we are at the same screen, but hitting "enter" goes back to the "Application Details" screen, instead of activating "Launch" which seems to be the most intuitive result of pressing "enter".

I think changing the default action when hitting "enter" to "Launch" instead of "Back" might help.
Comment 6 Mike Orazi 2013-01-29 10:41:55 EST
Let's throw this back on the pile to re-test.

Note You need to log in before you can comment on or make changes to this bug.